package com.qmth.themis.business.cache.bean;

import java.io.Serializable;
import java.util.Date;

public class ExamRecordCacheBean implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4130111410312390960L;

	//主键
    private Long id;

    //考试批次ID
    private Long examId;

    //考试场次ID
    private Long examActivityId;

    //考生ID
    private Long examStudentId;

    //实际使用的试卷ID
    private Long paperId;

    //全部作答保存地址
    private String answerPath;

    //当前状态
    private Integer status;

    //首次进入候考时间
    private Date firstPrepareTime;

    //首次开考时间
    private Date firstStartTime;

    //最近断点时间
    private Date lastBreakTime;

    //最近恢复候考时间
    private Date lastPrepareTime;

    //最近恢复开考时间
    private Date lastStartTime;

    //剩余断点续考次数
    private Integer leftBreakResumeCount;

    //客户端当前IP地址
    private String clientCurrentIp;

    //客户端websocket状态
    private Integer clientWebsocketStatus;

    //客户端websocket连接标识
    private String clientWebsocketId;

    //客户端最近同步时间
    private Date clientLastSyncTime;

    //微信小程序websocket状态
    private Integer wxappWebsocketStatus;

    //微信小程序websocket连接标识
    private String wxappWebsocketId;

    //微信小程序最近同步时间
    private Date wxappLastSyncTime;

    //客户端推流状态
    private Integer clientVideoPushStatus;

    //客户端推流地址
    private String clientVideoPushKey;

    //微信小程序推流状态
    private Integer wxappVideoPushStatus;

    //微信小程序推流地址
    private String wxappVideoPushKey;

    //答题进度
    private Double answerProgress;

    //累计考试用时
    private Integer durationSeconds;

    //交卷时间
    private Date finishTime;

    //交卷原因
    private Integer finishType;

    //预警次数
    private Integer warningCount;

    //审核结果
    private Integer reviewResult;

    //客观题分数
    private Double objectiveScore;

    //试题下载，0：是，1：不是
    private Integer paperDownload;

    //是否违纪，0：是，1：不是
    private Integer breachStatus;

    //个人试卷结构
    private String paperStruct;

    //个人试卷结构是否已上传，0：未上传，1：已上传
    private Integer paperStructUpload;

    //第几次考试
    private Integer serialNumber;

    //最近断点记录ID
    private Long lastBreakId;

    //开考身份验证结果
    private Integer entryAuthenticationResult;

    //开考身份验证记录ID
    private Long entryAuthenticationId;

    //当前过程人脸检测状态
    private Integer inProcessFaceVerifyStatus;

    //当前过程活体验证状态
    private Integer inProcessLivenessVerifyStatus;

    //已完成过程活体验证次数
    private Integer inProcessLivenessVerifyCount;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getExamActivityId() {
		return examActivityId;
	}

	public void setExamActivityId(Long examActivityId) {
		this.examActivityId = examActivityId;
	}

	public Long getExamStudentId() {
		return examStudentId;
	}

	public void setExamStudentId(Long examStudentId) {
		this.examStudentId = examStudentId;
	}

	public Long getPaperId() {
		return paperId;
	}

	public void setPaperId(Long paperId) {
		this.paperId = paperId;
	}

	public String getAnswerPath() {
		return answerPath;
	}

	public void setAnswerPath(String answerPath) {
		this.answerPath = answerPath;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Date getFirstPrepareTime() {
		return firstPrepareTime;
	}

	public void setFirstPrepareTime(Date firstPrepareTime) {
		this.firstPrepareTime = firstPrepareTime;
	}

	public Date getFirstStartTime() {
		return firstStartTime;
	}

	public void setFirstStartTime(Date firstStartTime) {
		this.firstStartTime = firstStartTime;
	}

	public Date getLastBreakTime() {
		return lastBreakTime;
	}

	public void setLastBreakTime(Date lastBreakTime) {
		this.lastBreakTime = lastBreakTime;
	}

	public Date getLastPrepareTime() {
		return lastPrepareTime;
	}

	public void setLastPrepareTime(Date lastPrepareTime) {
		this.lastPrepareTime = lastPrepareTime;
	}

	public Date getLastStartTime() {
		return lastStartTime;
	}

	public void setLastStartTime(Date lastStartTime) {
		this.lastStartTime = lastStartTime;
	}

	public Integer getLeftBreakResumeCount() {
		return leftBreakResumeCount;
	}

	public void setLeftBreakResumeCount(Integer leftBreakResumeCount) {
		this.leftBreakResumeCount = leftBreakResumeCount;
	}

	public String getClientCurrentIp() {
		return clientCurrentIp;
	}

	public void setClientCurrentIp(String clientCurrentIp) {
		this.clientCurrentIp = clientCurrentIp;
	}

	public Integer getClientWebsocketStatus() {
		return clientWebsocketStatus;
	}

	public void setClientWebsocketStatus(Integer clientWebsocketStatus) {
		this.clientWebsocketStatus = clientWebsocketStatus;
	}

	public String getClientWebsocketId() {
		return clientWebsocketId;
	}

	public void setClientWebsocketId(String clientWebsocketId) {
		this.clientWebsocketId = clientWebsocketId;
	}

	public Date getClientLastSyncTime() {
		return clientLastSyncTime;
	}

	public void setClientLastSyncTime(Date clientLastSyncTime) {
		this.clientLastSyncTime = clientLastSyncTime;
	}

	public Integer getWxappWebsocketStatus() {
		return wxappWebsocketStatus;
	}

	public void setWxappWebsocketStatus(Integer wxappWebsocketStatus) {
		this.wxappWebsocketStatus = wxappWebsocketStatus;
	}

	public String getWxappWebsocketId() {
		return wxappWebsocketId;
	}

	public void setWxappWebsocketId(String wxappWebsocketId) {
		this.wxappWebsocketId = wxappWebsocketId;
	}

	public Date getWxappLastSyncTime() {
		return wxappLastSyncTime;
	}

	public void setWxappLastSyncTime(Date wxappLastSyncTime) {
		this.wxappLastSyncTime = wxappLastSyncTime;
	}

	public Integer getClientVideoPushStatus() {
		return clientVideoPushStatus;
	}

	public void setClientVideoPushStatus(Integer clientVideoPushStatus) {
		this.clientVideoPushStatus = clientVideoPushStatus;
	}

	public String getClientVideoPushKey() {
		return clientVideoPushKey;
	}

	public void setClientVideoPushKey(String clientVideoPushKey) {
		this.clientVideoPushKey = clientVideoPushKey;
	}

	public Integer getWxappVideoPushStatus() {
		return wxappVideoPushStatus;
	}

	public void setWxappVideoPushStatus(Integer wxappVideoPushStatus) {
		this.wxappVideoPushStatus = wxappVideoPushStatus;
	}

	public String getWxappVideoPushKey() {
		return wxappVideoPushKey;
	}

	public void setWxappVideoPushKey(String wxappVideoPushKey) {
		this.wxappVideoPushKey = wxappVideoPushKey;
	}

	public Double getAnswerProgress() {
		return answerProgress;
	}

	public void setAnswerProgress(Double answerProgress) {
		this.answerProgress = answerProgress;
	}

	public Integer getDurationSeconds() {
		return durationSeconds;
	}

	public void setDurationSeconds(Integer durationSeconds) {
		this.durationSeconds = durationSeconds;
	}

	public Date getFinishTime() {
		return finishTime;
	}

	public void setFinishTime(Date finishTime) {
		this.finishTime = finishTime;
	}

	public Integer getFinishType() {
		return finishType;
	}

	public void setFinishType(Integer finishType) {
		this.finishType = finishType;
	}

	public Integer getWarningCount() {
		return warningCount;
	}

	public void setWarningCount(Integer warningCount) {
		this.warningCount = warningCount;
	}

	public Integer getReviewResult() {
		return reviewResult;
	}

	public void setReviewResult(Integer reviewResult) {
		this.reviewResult = reviewResult;
	}

	public Double getObjectiveScore() {
		return objectiveScore;
	}

	public void setObjectiveScore(Double objectiveScore) {
		this.objectiveScore = objectiveScore;
	}

	public Integer getPaperDownload() {
		return paperDownload;
	}

	public void setPaperDownload(Integer paperDownload) {
		this.paperDownload = paperDownload;
	}

	public Integer getBreachStatus() {
		return breachStatus;
	}

	public void setBreachStatus(Integer breachStatus) {
		this.breachStatus = breachStatus;
	}

	public String getPaperStruct() {
		return paperStruct;
	}

	public void setPaperStruct(String paperStruct) {
		this.paperStruct = paperStruct;
	}

	public Integer getPaperStructUpload() {
		return paperStructUpload;
	}

	public void setPaperStructUpload(Integer paperStructUpload) {
		this.paperStructUpload = paperStructUpload;
	}

	public Integer getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(Integer serialNumber) {
		this.serialNumber = serialNumber;
	}

	public Long getLastBreakId() {
		return lastBreakId;
	}

	public void setLastBreakId(Long lastBreakId) {
		this.lastBreakId = lastBreakId;
	}

	public Integer getEntryAuthenticationResult() {
		return entryAuthenticationResult;
	}

	public void setEntryAuthenticationResult(Integer entryAuthenticationResult) {
		this.entryAuthenticationResult = entryAuthenticationResult;
	}

	public Long getEntryAuthenticationId() {
		return entryAuthenticationId;
	}

	public void setEntryAuthenticationId(Long entryAuthenticationId) {
		this.entryAuthenticationId = entryAuthenticationId;
	}

	public Integer getInProcessFaceVerifyStatus() {
		return inProcessFaceVerifyStatus;
	}

	public void setInProcessFaceVerifyStatus(Integer inProcessFaceVerifyStatus) {
		this.inProcessFaceVerifyStatus = inProcessFaceVerifyStatus;
	}

	public Integer getInProcessLivenessVerifyStatus() {
		return inProcessLivenessVerifyStatus;
	}

	public void setInProcessLivenessVerifyStatus(Integer inProcessLivenessVerifyStatus) {
		this.inProcessLivenessVerifyStatus = inProcessLivenessVerifyStatus;
	}

	public Integer getInProcessLivenessVerifyCount() {
		return inProcessLivenessVerifyCount;
	}

	public void setInProcessLivenessVerifyCount(Integer inProcessLivenessVerifyCount) {
		this.inProcessLivenessVerifyCount = inProcessLivenessVerifyCount;
	}

    
}
